import QtQuick 1.1
import com.nokia.meego 1.1

Page {
    id: rssPage

    orientationLock: PageOrientation.LockPortrait

    property string title: "Title"
    property string description: "description"
    property string imglink: ""

    Label {
        id: header
        text: title
        anchors.right: parent.right
        anchors.rightMargin: 10
        anchors.left: imageNews.right
        anchors.leftMargin: 5
        font.pointSize: 2
        verticalAlignment: Text.AlignVCenter
        horizontalAlignment: Text.AlignHCenter
        anchors.top: parent.top
        anchors.topMargin: 10
        wrapMode: Text.WordWrap
    }

    Image {
        id: imageNews
        anchors.left: parent.left
        anchors.leftMargin: 10
        anchors.top: parent.top
        anchors.topMargin: 10
        source: imglink
    }

    Rectangle {
        id: newsRect
        anchors.top: parent.top
        anchors.topMargin: 110
        anchors.left: parent.left
        anchors.leftMargin: 10
        anchors.right: parent.right
        anchors.rightMargin: 10
        anchors.bottom: parent.bottom
        anchors.bottomMargin: 10
        width: parent.width
        color: "white"
        radius: 10
        border.color: "lightgray"
        border.width: 1

        Text {
            id: newsDescription
            anchors.fill: parent
            anchors.margins: 5
            horizontalAlignment: Text.AlignJustify
            verticalAlignment: Text.AlignJustify
            text: description
            smooth: false
            font.pixelSize: 22
            z: 0
            clip: true
            wrapMode: Text.WordWrap
            onLinkActivated: {
                Qt.openUrlExternally(link)
            }
        }
    }

    tools: ToolBarLayout {
        ToolIcon {
            platformIconId: "toolbar-back"
            onClicked: window.pageStack.pop()
        }
    }
}
