import QtQuick 1.1
import com.nokia.meego 1.1

import "Database.js" as Settings

Page {
    id: settingsPage
    orientationLock: PageOrientation.LockPortrait

    Component.onCompleted: {
        // Initialize the database
        Settings.initialize();
        setActive();
//        limitSlider.value = Settings.getSetting("LimitFilter");
//        console.log("Result", Settings.getSetting("LimitFilter"));
//        console.log("limitSlider.value", limitSlider.value);
    }

    Rectangle {
        id: headerRectangle
        color: "lightgray"
//        radius: 10
        border.color: "darkgray"
        border.width: 1
        anchors.top: parent.top
        anchors.left: parent.left
        anchors.right: parent.right
        width: parent.width
        height: 60
        Label {
            id: headerField
            anchors.verticalCenter: parent.verticalCenter
            anchors.horizontalCenter: parent.horizontalCenter
            text: "Настройки"
            font.bold: true
            font.pointSize: 24
        }
    }

    Rectangle {
        id: clasterRegion
        anchors.top: headerRectangle.bottom
        anchors.topMargin: 10
        anchors.left: parent.left
        color: "transparent"
        height: rowRegions.height + clasterRegionLabel.height + 40
        width: parent.width
        Label {
            id: clasterRegionLabel
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: parent.top
            anchors.topMargin: 5
            text: "Регион"
            font.bold: true
            font.pointSize: 18
        }
        ButtonRow {
            id: rowRegions
            anchors { left: parent.left; right: parent.right; top: clasterRegionLabel.bottom }
            anchors.margins: 10
            checkedButton: ru
            Button {
                id: ru
                text: "ru"
                onClicked: {
                    console.log(ru.text)
                    // Sets a value in the database
                    Settings.setSetting("Claster", ru.text);
                }
            }
            Button {
                id: eu
                text: "eu"
                onClicked: {
                    console.log(eu.text)
                    // Sets a value in the database
                    Settings.setSetting("Claster", eu.text);
                }
            }
            Button {
                id: us
                text: "us"
                onClicked: {
                    console.log(us.text)
                    // Sets a value in the database
                    Settings.setSetting("Claster", "com");
                }
            }
            Button {
                id: kr
                text: "kr"
                onClicked: {
                    console.log(kr.text)
                    // Sets a value in the database
                    Settings.setSetting("Claster", kr.text);
                }
            }
            Button {
                id: asia
                text: "asia"
                onClicked: {
                    console.log(asia.text)
                    // Sets a value in the database
                    Settings.setSetting("Claster", asia.text);
                }
            }
        }
        Rectangle {
            id: delimeter
            color: "darkgray"
            height: 2
            width: parent.width
            anchors.top: parent.bottom
            anchors.horizontalCenter: parent.horizontalCenter
        }
    }

    tools: ToolBarLayout {
        ToolIcon {
            platformIconId: "toolbar-back"
            onClicked: window.pageStack.pop()
        }
//        ToolIcon {
//            platformIconId: "toolbar-delete"
//            onClicked: Settings.resetTable();
//        }
    }

    function setActive() {
        var claster = Settings.getSetting("Claster");
        switch(claster) {
            case 'ru':
                rowRegions.checkedButton = ru;
                break;
            case 'eu':
                rowRegions.checkedButton = eu;
                break;
            case 'com':
                rowRegions.checkedButton = us;
                break;
            default:
                rowRegions.checkedButton = ru;
                break;
        }
//        showUsersSwitch.checked = Settings.getSetting("showUsers") === "true"?true:false
//        showClansSwitch.checked = Settings.getSetting("showClans") === "true"?true:false
//        showRSSSwitch.checked = Settings.getSetting("showRSS") === "true"?true:false
    }
}
